syntax = "proto3";
option go_package = ".;pb";
import "battle_msg.proto";

message DBHunting {
  string id = 1;        //@go_tags(`bson:"_id"`) ID
  string uid = 2;       //@go_tags(`bson:"uid"`) 用户ID
  map<int32,int32> boss = 3; // key boss 类型 value 难度
  int32 buyCount = 4;//@go_tags(`bson:"buyCount"`) 购买次数
  int64 cTime = 5; //@go_tags(`bson:"cTime"`) 修改时间
  map<string,int32> bossTime = 6; //@go_tags(`bson:"bossTime"`) 
  int64 recoveryTime = 7; //@go_tags(`bson:"recoveryTime"`) // 开始恢复的时间
}

// 狩猎排行榜
message DBHuntingRank {
  string id = 1;        //@go_tags(`bson:"_id"`) ID
  string uid = 2;       //@go_tags(`bson:"uid"`) 用户ID
  int32 difficulty = 3;  // 难度
  int32 bosstype = 4; // boss类型塔类型
  string nickname = 5;// 昵称
  string icon = 6; // 玩家头像
  int32 lv = 7; // 玩家等级
  int32 leadpos = 8; //队长位置
  repeated LineUp line = 9; // 阵容数据
  int32 costTime = 10; //@go_tags(`bson:"costTime"`) 闯关耗时 单位s
}